/* Hyperboloid */
/* 720 720 -3 3 -3 3 -3 3 */

void hyperboloid(point p, double x, double y)
{
double expy, coshy, sinhy;

   expy=exp(y) ;
   coshy=(expy+1/expy)/2; sinhy=(expy-1/expy)/2;

   p[0] = cos(x) * coshy;
   p[1] = sin(x) * coshy;
   p[2] = sinhy ;
}

rotation_angles(0,45,23);
graph(hyperboloid,0,2*PI,36,-1,1,16);
